Add Node
curl --request POST \
--url https://api.example.com/api/v1/workflows/{workflow_id}/nodes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"position": 1,
"node_type": "task",
"parallel_group": 123,
"depends_on": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"task_template": {},
"node_config": {},
"input_mapping": {},
"max_retries": 1
}
'import requests
url = "https://api.example.com/api/v1/workflows/{workflow_id}/nodes"
payload = {
"position": 1,
"node_type": "task",
"parallel_group": 123,
"depends_on": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"task_template": {},
"node_config": {},
"input_mapping": {},
"max_retries": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
position: 1,
node_type: 'task',
parallel_group: 123,
depends_on: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
task_template: {},
node_config: {},
input_mapping: {},
max_retries: 1
})
};
fetch('https://api.example.com/api/v1/workflows/{workflow_id}/nodes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workflow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"position": 123,
"created_at": "2023-11-07T05:31:56Z",
"node_type": "task",
"parallel_group": 123,
"depends_on": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"task_template": {},
"node_config": {},
"input_mapping": {},
"retry_count": 0,
"max_retries": 1
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Workflows
Add Node
POST
/
api
/
v1
/
workflows
/
{workflow_id}
/
nodes
Add Node
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Required range:
x >= 0Node type: task | api_call | distribution | transform
Task definition template (required for task nodes, may include {{variables}})
Type-specific config: api_call={provider, params}, transform={operation, params}, distribution={platform, params}
Required range:
0 <= x <= 5Response
Successful Response
Was this page helpful?
⌘I